# Trait os::drivers::chardev::CharDevice

source · [−]

    pub trait CharDevice {
        fn read(&self) -> u8;
        fn write(&self, ch: u8);
        fn handle_irq(&self);
    }

## Required methods

source

#### fn read(&self) -> u8

source

#### fn write(&self, ch: u8)

source

#### fn handle_irq(&self)

## Implementors

source

### impl<const BASE_ADDR: usize> CharDevice for NS16550a<BASE_ADDR>